### Method

# Foundry Config dup_environ

#### Declaration [src]

    char**
    foundry_config_dup_environ (
      FoundryConfig* self,
      FoundryLocality locality
    )

#### Description [src]

Gets the environment variables to use for a particular locality.

#### Parameters

`locality`

  Type: `FoundryLocality`

  No description available.

#### Return value

Type: An array of `utf8`

An array of UTF-8 encoded strings or `NULL` to use the default environment.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.